<?php
require_once 'Services/KakakuCom.php';

try {
    $kakakucom = new Services_KakakuCom(array('useCache' => true));
    $searchResult = $kakakucom->search(array('Keyword' => 'コンピュータ', 'ResultSet' => 'mini'));
    $number = (string)$searchResult->NumOfResult;
    print "Number: {$number}\n";
    foreach ($searchResult->xpath('//Item') as $item) {
        $productID[] = (string)$item->ProductID;
    }
    $productResult = $kakakucom->product(array('ProductID' => $productID, 'ResultSet' => 'mini'));
var_dump($productResult);
} catch (Services_KakakuCom_Exception $e) {
    print $e;
}
?>
