<?php
require_once 'Services/KakakuCom.php';

try {
    $kakakucom = new Services_KakakuCom(array('useCache' => true));
    $searchResult = $kakakucom->search(array('Keyword' => 'コンピュータ',
        'ResultSet' => 'mini',
        'SortOrder' => 'popularityrank'));
    foreach ($searchResult->xpath('//Item') as $item) {
        $productID = (string)$item->ProductID;
        try {
            $bbs = $kakakucom->bbs(array('ProductID' => $productID));
            var_dump($bbs);
        } catch (Services_KakakuCom_NoEntry_Exception $e) {
            print 'No Entry';
        }
    }

} catch (Services_KakakuCom_Exception $e) {
    print $e;
}
?>
